Index: res.c
===================================================================
RCS file: /usr/local/repository/irc/ircd/res.c,v
retrieving revision 1.52
diff -w -u -r1.52 res.c
--- res.c	24 Jun 2008 00:12:56 -0000	1.52
+++ res.c	7 Jul 2008 18:28:13 -0000
@@ -715,14 +715,16 @@
 			bcopy(cp, (char *)&dr, dlen);
 			adr->s_addr = dr.s_addr;
 #endif
-			Debug((DEBUG_INFO,"got ip # %s for %s",
 #ifdef INET6
+			Debug((DEBUG_INFO,"got ip # %s for %s",
 				inet_ntop(AF_INET6, (char *)adr, ipv6string,
 					sizeof(ipv6string)),
+				hostbuf));
 #else
+			Debug((DEBUG_INFO,"got ip # %s for %s",
 				inetntoa((char *)adr),
-#endif
 				hostbuf));
+#endif
 			if (len < HOSTLEN)
 			{
 				/* if we have no hostname currently,
@@ -959,14 +961,16 @@
 		if (BadPtr(rptr->he.h_name))	/* Kludge!	960907/Vesa */
 			goto getres_err;
 
-		Debug((DEBUG_DNS, "relookup %s <-> %s", rptr->he.h_name,
 #ifdef INET6
+		Debug((DEBUG_DNS, "relookup %s <-> %s", rptr->he.h_name,
 			inet_ntop(AF_INET6, (char *)&rptr->he.h_addr,
 				ipv6string, sizeof(ipv6string))
+			));
 #else
+		Debug((DEBUG_DNS, "relookup %s <-> %s", rptr->he.h_name,
 			inetntoa((char *)&rptr->he.h_addr)
-#endif
 			));
+#endif
 		/*
 		 * Lookup the 'authoritative' name that we were given for the
 		 * ip#.  By using this call rather than regenerating the
